Subject: Re: bug#48165: [PATCH] nls: Do not update po files on first make invocation.

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 03 May 2021 09:46:46 -0400

Hi Julien!

Julien Lepiller <[email-masked]> writes:

> Hi Guix,
>
> As you probably know, after the first make in a clean checkout of the
> guix repository, po files are dirty and we advertise to run "git
> checkout po" to get them clean again. This was caused by the gettext
> generated makefile that wanted to build the mo (compiled po) files, and
> these po files depend on the pot that needs to be generated.
>
> In newer versions of gettext (at least 0.19.1 from 4 years ago), there
> is an option, PO_DEPENDS_ON_POT that I set to "no", so this patch
> updates the minimal gettext version to 0.19.1 and makes use of that
> variable, that removes the dependency from the po files to the pot file.
>
> This means that when make tries to generate the mo files, it can do so
> immediately, without needing to generate the pot file nor update the po
> files that depended on the pot.
>
> As this patch updates the minimal requirement for gettext to 0.19.1,
> I'm not sure what's the impact. This is a version from 4 years ago
> (0.18.1 was from 6 years ago). We currently have gettext 0.20.1, and
> debian jessie has 0.19.3, so I don't think this change will negatively
> affect our users:
>
> - developpers should already use guix environment guix which provides a
>   good version.
> - packagers of guix on other distros might have a harder time, but even
>   debian seems to have a recent enough version
>
> WDYT?

It seems even RHEL 8 is using 0.19; I don't think it'll cause a problem.

Thank you for this nice improvement!  I've merged it to the
version-1.3.0 branch.

Closing.

Maxim